import { AgreementConfig } from "./agreement-config";
import { AppBranchDefaultRootDirConfig } from "./app-branch-default-root-dir-config";
import { AssetConfig } from "./asset-config";
import { AvailableLangConfig } from "./available-lang-config";
import { PreconfiguredAppConfig } from "./preconfigured-app-config";
import { ProtocolConfig } from "./protocol-config";
import { RuntimeConfig } from "./runtime-config";
import { TrayConfig } from "./tray-config";
import { WindowConfig } from "./window-config";
export interface ConfigBase {
    id: string;
    name: string;
    description: string;
    companyId: string;
    companyName: string;
    secret: string;
    runtime: RuntimeConfig;
    isDefaultAutoProcessingRuntimeUpdateEnabled: boolean;
    defaultAutoProcessingRuntimeUpdateMode: `optional` | `required`;
    defaultAutoProcessingRuntimeUpdateOptionalModeUpdateAvailableDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    defaultAutoProcessingRuntimeUpdateRequiredModeUpdateAvailableDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    assets: {
        [assetId: string]: AssetConfig;
    };
    appsCatalogId: string;
    appMainBranchDefaultRootDir: AppBranchDefaultRootDirConfig;
    appSecondaryBranchDefaultRootDir: AppBranchDefaultRootDirConfig;
    isAppBranchNotDefaultRootDirAllowed: boolean;
    isStartingQuitTaskAllowedIfAnyAppBranchProcessExists: boolean;
    preconfiguredApps: {
        [preconfiguredAppId: string]: PreconfiguredAppConfig;
    };
    window: WindowConfig;
    agreements: {
        [agreementId: string]: AgreementConfig;
    };
    statsAgreementId: string | undefined;
    isStatsEntryAnonymous: boolean;
    reportingErrorAgreementId: string | undefined;
    availableLangs: {
        [availableLangTag: string]: AvailableLangConfig;
    };
    fallbackLangTag: string;
    protocol: ProtocolConfig | undefined;
    isAutoShowingWindowOnProtocolPendingRequestRegisteredEnabled: boolean;
    isAutoFocusingWindowOnProtocolPendingRequestRegisteredEnabled: boolean;
    tray: TrayConfig | undefined;
    loadingThemeErrorDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    logsCollectedDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    crashedDialog: {
        titleTemplate: string;
        messageTemplate: string;
    };
    overrideThemeUrl: string | undefined;
    overrideLibkappsDirPath: string | undefined;
    overrideRootDirPath: string | undefined;
    overrideUserDataDirPath: string | undefined;
    patchKitOverrideMainServiceApiUrl: string | undefined;
    patchKitOverrideMainServiceApiProxyUrl: string | undefined;
    patchKitOverrideMainServiceApiCacheUrl: string | undefined;
    patchKitOverrideStatsServiceApiUrl: string | undefined;
    patchKitOverrideKeysServiceApiUrl: string | undefined;
    patchKitOverrideAppCatalogsServiceApiUrl: string | undefined;
    patchKitOverrideAppCatalogsServiceApiProxyUrl: string | undefined;
    patchKitOverrideLauncherThemesServiceApiUrl: string | undefined;
}
//# sourceMappingURL=config-base.d.ts.map